[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
distcleancheck_listfiles
From: |
Bruce Korb |
Subject: |
distcleancheck_listfiles |
Date: |
Sat, 27 Jul 2002 11:58:05 -0700 |
Hi,
I *believe* I followed the documented procedures for permitting
the existence of regenerated distributed files. The result is this
warning message from find:
Makefile.am:
> distcleancheck_listfiles = \
> find -type f -exec sh -c 'test -f $(scrdir)/{} || echo {}'
Shell output from "make dist"
> if test '..' = . ; then \
> echo "ERROR: distcleancheck can only run from a VPATH build" ; \
> exit 1 ; \
> fi
> test `find -type f -exec sh -c 'test -f /{} || echo {}' | wc -l` -eq 0 \
> || { echo "ERROR: files left after distclean:" ; \
> find -type f -exec sh -c 'test -f /{} || echo {}' ; \
> exit 1; } >&2
> find: missing argument to `-exec'
> make[1]: Leaving directory `/home/bkorb/ag/ag/autogen-5.3.10/=build'
> { test ! -d autogen-5.3.10 || { find autogen-5.3.10 -type d ! -perm -200 \
> -exec chmod u+w {} ';' && rm -fr autogen-5.3.10; }; }
And why does '$(srcdir)' become the empty string?
- distcleancheck_listfiles,
Bruce Korb <=